@charset "UTF-8";


/* ローディングアニメーションのスタイル */
@keyframes falling {
	0% {
		top: var(--start-y);
	}

	100% {
		top: 100%;
	}
}

@keyframes rotation {
	from {
		transform: rotate(0deg);
		/* 0度から開始 */
	}

	to {
		transform: rotate(360deg);
		/* 360度まで回転 */
	}
}

#loader {
	top: 0;
	position: fixed;
	left: 0;
	width: 100vw;
	height: 100vh;
	background-image: linear-gradient(rgba(20, 5, 5, 1), rgba(4, 17, 27, 1));
	z-index: 90;
	transition: all 0.1s;
	opacity: 1;
}

.falling-image {
	position: absolute;
	animation: falling linear infinite, rotation linear infinite;
	/*linear：等しい速度でアニメーション
    infinite：無制限に繰り返す*/
	width: 10vw;
	aspect-ratio: 1 / 1;
	transition: all 0.1s;
	opacity: 0;
}


/* ヘッダー全体 */
#header1 {
	position: relative;
	background-color: #1d1d1d;
	z-index: 80;
}

.sp #header1 {
	/* ヘッダーを固定 */
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
}


/* ヘッダーの上段（サイトタイトル、スマホメニュー）*/
#header1-1 {
	display: flex;
	width: 100%;
	justify-content: center;
	align-items: center;
}

.sp #header1-1 {
	/* スマホ*/
	height: calc(15vw + 1rem);
}

/* 吊り下げ装飾 */
#hanging {
	display: block;
	background-image: url(../images/hanging.png);
	position: fixed;
	top: 0;
	left: 0;
	width: 15vw;
	height: 30vw;
	background-size: 15vw 30vw;
	z-index: 100;
}

/* ページ内リンクの位置調整 */
.anchor_link{
    position: relative;
    top: -30vw;
}

/* サイトタイトル表示部分*/
#h1-containter {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
	position: relative;
}

.sp #h1-containter {
	/* 吊り下げ装飾の分右に寄せる*/
	padding-left: 10vw;
	width: calc(100vw - 15vw - 1rem);
}

/* サイトタイトル*/

#h1-containter img {
	min-width: 5vw;
	max-width: 500px;
	max-height: calc(20vw - 1rem);
}


#h1-en {
	position: relative;
	letter-spacing: 0.7em;
	color: #550404;
	text-shadow:
		-1px -1px 10px #ceb3b3,
		1px -1px 10px #ceb3b3,
		-1px 1px 10px #ceb3b3,
		1px 1px 10px #ceb3b3;
	top: -40px;
	left: -1vw;
	text-align: center;
	font-size: var(--font-size-l);
}

h1>a {
	text-decoration: none;
}

.sp #h1-en {
	font-size: 2vw;
	top: -4vw;
	left: -1vw;
}

/* ハンバーガーボタン表示部分*/
#hamburger-container {
	display: none;
	z-index: 90;
}

.sp #hamburger-container {
	display: block;

	width: calc(15vw + 1rem);
	height: 100%;
	padding: 0.5rem;
	align-items: center;
	position: relative;
}

/* ハンバーガーボタンの背景色*/
#hamburger-button {
	position: relative;
	/*ハンバーガーボタンの背景色*/
	background-color: #1a526c;
	height: 100%;
	width: 100%;
	z-index: 10;
}

label#hamburger-button-line {
	height: 100%;
	width: calc(100% - 1rem);
	display: flex;
	justify-content: center;
	position: absolute;
	bottom: 0;
	z-index: 20;
}

#hamburger-button-line>span,
#hamburger-button-line::before,
#hamburger-button-line::after {
	position: absolute;
	display: block;
	height: 2px;
	width: 80%;
	/*線の色*/
	background-color: #bfd3e2;
	transform: translateY(-100%);
	top: calc(50% + 2px);
	transition: all 0.3s;
}

#hamburger-button-line::before {
	content: '';
	top: calc(25% + 2px);
}

#hamburger-button-line::after {
	content: '';
	top: calc(75% + 2px);
}

/* ハンバーガーメニューの判定用チェックボックス*/
#hamburger-check {
	display: none;
}


#hamburger-check:checked~#hamburger-button-line>span {
	background-color: rgba(255, 255, 255, 0);
}

#hamburger-check:checked~#hamburger-button-line::before {
	background-color: #5399d3;
	position: absolute;
	top: 50%;
	bottom: 0;
	transform: rotate(45deg);
}

#hamburger-check:checked~#hamburger-button-line::after {
	background-color: #5399d3;
	position: absolute;
	top: 50%;
	bottom: 0;
	transform: rotate(-45deg);
}

/* ハンバーガーメニューの本体*/
#hamburger-content {
	visibility: hidden;
	opacity: 0;

	/*画面の決まった位置に固定*/
	position: fixed;
	display: block;
	width: 80%;
	height: 100%;
	top: 0;
	right: 0;
	padding: 0.5rem;
	transition: all.3s;
	background-color: #1d1d1d;
}

#hamburger-check:checked~#hamburger-content {
	visibility: visible;
	opacity: 1;
}


/* ハンバーガーメニューの中身*/
#hamburger-content>ul {
	display: flex;
	flex-flow: column;
	align-items: center;
	justify-content: center;
	gap: 1rem;
	list-style: none;
	/*リストのマークがあった分右に寄ってしまうため*/
	padding: 0;
	position: relative;
	top: 20%;
}

#hamburger-content a {
	text-decoration: none;
}




/* PCメニュー*/
#header1-2 {
	width: 100%;
	height: auto;
	font-size: var(--font-size-xl);
}


.sp #header1-2 {
	display: none;
}

#header1-2 a {
	text-decoration: none;
}

#header1-2 ul {
	display: flex;
	/*親要素に対し中央に配置*/
	justify-content: center;
	flex-wrap: wrap;
	column-gap: 1em;
	list-style: none;
	/*リストのマークがあった分右に寄ってしまうため*/
	padding: 0;
}

/*スマホの場合ヘッダーを固定した分下にずらすために空白を入れる*/
#scroll-margin {
	display: none;
}

.sp #scroll-margin {
	display: block;
	position: relative;
	top: 0;
	left: 0;
	width: 100%;
	height: calc(15vw + 1rem);
	flex-shrink: 0;
}


/*header亜種（パンくずリスト、言語切り替え）*/

#header2 {
	width: 100%;
	background-color: rgba(29, 29, 29, 0.5);
	color: #666666;
	font-size: var(--font-size-s);
	display: flex;
	justify-content: center;
	margin-bottom: 1rem;
}

#header2>nav {
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: center;
}

/*吊り下げ装飾との干渉防止*/
#bread-container {
	padding-left: calc(15vw);
}

/*pcまたはtab横画面なら、幅1000px以上のとき、nav表示幅が1000pxになる*/
.pc.over1000 #header2>nav,
.tab.h.over1000 #header2>nav {
	width: 1000px;
}

/*そのとき、1000px+吊り下げ装飾の横幅 <= 画面幅 なら、padding-leftがなくても干渉しない*/
.pc.over1000 #bread-container,
.tab.h.over1000 #bread-container {
	padding-left: 0px;
}

/*そうではなく、1000px+吊り下げ装飾の横幅 > 画面幅 > 1000pxなら、padding-leftがないと干渉する*/
@media (min-width : 1000px) and (max-width : calc(1000px + 15vw * 2)) {

	.pc.over1000 #bread-container,
	.tab.h.over1000 #bread-container {
		padding-left: calc(15vw - (100vw - 1000px) / 2);
	}
}

#lang-container{
	text-align: end;
	padding-right: 1em;
}

.sp #bread-container{
	display: none;
}

#bread-container,
#lang-container {
	flex: 1;
}

#lang-container a {
	color: #27779c;
}

/*背景画像*/
#background-image-container {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	width: 100dvw;
	height: 100vh;
	height: 100dvh;
	z-index: -80;
}

#background-image {
	position: relative;
	top: 0;
	left: 0;
	min-height: 100vh;
	min-height: 100dvh;
	min-width: 100vw;
	min-width: 100dvw;
	object-fit: cover;
	transition: all 1s;
	opacity: 0;
}

/*main*/
main>#main-container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
}



#h2-content {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}